<div [formGroup]="form">
  <div class="row mb-2">
      <h3>Gedragscompetentie <a type="button" class="btn btn-outline-secondary btn-sm mt-1 " (click)="addGedragscompetentie()">
        <add-item-svg></add-item-svg>
      </a></h3>
  </div>

  <div>
    <div formArrayName="gedragscompetentie" *ngFor="let gedragsControl of t.controls; let i=index">
      <div [formGroupName]="i">

        <div class="row align-items-center mb-5">

          <div class="col-10">

            <div class="row">
              <div class="col-12">
                <label>Gedragscompetentie <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="De code die de GEDRAGSCOMPETENTIE aangeeft." tooltipClass="custom" for="clicked"></i></label>
                <select-enum [control]='$any(gedragsControl.get("codeGedragscompetentie"))'
                             [values]="codeGedragscompetentieValues"></select-enum>
              </div>
            </div>

            <div class="row">
              <div class="col-12">
                <label> Beheersing gedragscompetentie <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="De code die aangeeft in welke mate de gedragscompetentie beheerst wordt." tooltipClass="custom" for="clicked"></i></label>
                <select-enum [control]='$any(gedragsControl.get("codeBeheersingGedragscompetentie"))'
                             [values]="beheersingGedragscompetentieValues"></select-enum>
              </div>
            </div>

            <div class="row">
              <div class="col-12">
                <label>Omschrijving gedragscompetentie <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="De omschrijving van de GEDRAGSCOMPETENTIE" tooltipClass="custom" for="clicked"></i></label>
                <textarea class="form-control"
                          [formControl]='$any(gedragsControl.get("omschrijvingGedragscompetentie"))'
                          [ngClass]='gedragsControl.get("omschrijvingGedragscompetentie")?.touched && gedragsControl.get("omschrijvingGedragscompetentie")?.invalid ? "is-invalid" : "" '
                ></textarea>
                <div class="invalid-feedback">
                  Incorrecte omschrijving gedragscompetentie
                </div>
              </div>
            </div>
          </div>
          <div class="col-2">

            <button type="button" class="btn btn-outline-danger" (click)="removeGedragscompetentie(i)">
              <remove-item-svg></remove-item-svg>
            </button>
          </div>

        </div>


      </div>
    </div>
  </div>
</div>
